secretStore:
  name: vault
  kind: ClusterSecretStore

externalSecrets:
  - name: n8n-secrets
    namespace: dev-tools
    targetName: n8n-secrets
    creationPolicy: Owner
    data:
      - secretKey: N8N_ENCRYPTION_KEY
        remoteKey: dev-tools/n8n
        property: encryption_key

      - secretKey: TELEGRAM_BOT_TOKEN
        remoteKey: dev-tools/n8n
        property: telegram_bot_token
